mutex File Reference

Go to the source code of this file.

## Classes

struct | std::once_flag
class | std::recursive_mutex
class | std::recursive_timed_mutex
class | std::scoped_lock< _MutexTypes >
class | std::timed_mutex

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_scoped_lock
#define | _GLIBCXX_MUTEX

## Functions

void | std::__once_proxy (void)
template<typename _Callable , typename... _Args>
void | std::call_once (once_flag &__once, _Callable &&__f, _Args &&... __args)
template<typename _L1 , typename _L2 , typename... _L3>
void | std::lock (_L1 &__l1, _L2 &__l2, _L3 &... __l3)
template<typename _L1 , typename _L2 , typename... _L3>
int | std::try_lock (_L1 &__l1, _L2 &__l2, _L3 &... __l3)

## Detailed Description

This is a Standard C++ Library header.

Definition in file mutex.

## Macro Definition Documentation

## _GLIBCXX_MUTEX

#define _GLIBCXX_MUTEX

Definition at line 30 of file mutex.